Subject: Re: [mingw32] Re: [RFC] changing gcc default output executable name (a.exe now)
From: "Terry Lincoln" <[email-masked]>
To: "TOMMY REYNOLDS" <[email-masked]>, <[email-masked]>, "Todd Bandrowsky" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 15 Jan 2000 13:31:52 -0500

All,

I fully agree with all 4 points.  I also feel it important to this: if we
*really* want another M$-LoseDoze compiler clone, then someone (Mumit
maybe?) can/should submit a "wgcc" variation;  something built from GCC but
does everything the M$-LoseDoze way.  Since it shouldn't then be expected to
be UNIX-y you can change most of the defaults without breaking existing code
that makes assumptions about gcc's workings.

Regards,

----- Original Message -----
From: TOMMY REYNOLDS <[email-masked]>
To: <[email-masked]>; Todd Bandrowsky <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, January 13, 2000 10:03 AM
Subject: RE: [mingw32] Re: [RFC] changing gcc default output executable name
(a.exe now)

> I'd vote just the opposite: make an "a.out" file in both instances,
because:
> 1) that's what
> UNIX does, it's expected; 2) that's what UNIX does, it's documented; 3)
> typing "a.out"
> under WinDo$e will run the file any - we don' need no steekin' suffixes
> anymore; and 4) it
> doesn't break anything we're trying to port from UNIX anyway..
>
> This is just one more "exactly the same as UNIX but with one subtle
> difference" nuisance.
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]